Package de.tudresden.sumo.objects

## Class SumoNextTLS

- java.lang.Object
- - de.tudresden.sumo.objects.SumoNextTLS

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoNextTLS`

      public class SumoNextTLS
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `SumoNextTLS.NextTLS` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `LinkedList<SumoNextTLS.NextTLS>` | `ll` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoNextTLS()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(String tlsID, int ix, double dist, String state)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ll

          public LinkedList<SumoNextTLS.NextTLS> ll

  - ### Constructor Detail

    - #### SumoNextTLS

          public SumoNextTLS()

  - ### Method Detail

    - #### add

          public void add​(String tlsID,
                          int ix,
                          double dist,
                          String state)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`